slepc-3.21.1 2024-04-26
Report Typos and Errors

# STMatMultTranspose

Computes the matrix-vector product y = T[k]^T x, where T[k] is the k-th matrix of the spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatMultTranspose(ST st,PetscInt k,Vec x,Vec y)

Neighbor-wise Collective

### Input Parameters

| st | - the spectral transformation context
| k | - index of matrix to use
| x | - the vector to be multiplied

### Output Parameter

| y | - the result

### See Also

STMatMult(), STMatMultHermitianTranspose()

### Level

developer

### Location

src/sys/classes/st/interface/stsles.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages